2016-07-16 61 views
35

Ottenere questo errorePerché ricevo un errore relativo alla struttura dei bulloni e FacebookSDK quando non utilizzo nemmeno i bulloni?

framework not found Bolts for architecture x86_64 

Seguito parola guida di Facebook per parola, ma l'unico posto che posso pensare di un errore con il collegamento accadendo è nelle impostazioni di generazione per il framework percorsi di ricerca. Tutto quello che sto attualmente tentando nell'app è quello di aggiungere un pulsante di accesso a Facebook, semplicemente visivamente per assicurarmi che si stia caricando visivamente. Non è stata aggiunta alcuna funzionalità di metodo, ma non riesco nemmeno a creare il progetto in questo stato corrente.

risposta

117
  1. Aprire il progetto in Xcode.
  2. Vai a dove hai estratto il FacebookSDK. Se si utilizza Mac OSX, , dovrebbe essere disponibile in Documents/FacebookSDK.
  3. Afferra il file Bolts.framework e trascinalo nella cartella Frameworks in Xcode per il tuo progetto.

Si dovrebbe costruire ora.

+2

stava combattendo con questo errore da mezz'ora .. Non potevo pensare che sarebbe stato così facile ... !!! – Simmy

+0

lo ha fatto per me! grazie –

+4

Grande! Perché non mettono nella loro guida questo passo. :( – thanhbinh84

7

è necessario aggiungere Bolts.framework al progetto

0

Nel mio caso ho aperto il progetto al posto dello spazio di lavoro (con baccello)

0

Si può solo fare l'aggiornamento pod e quindi aprire il xcworkspace. Risolto il problema per me.

Problemi correlati